diff --git a/games/picmi/Makefile b/games/picmi/Makefile
index fc090131b721..657eabd9a3b9 100644
--- a/games/picmi/Makefile
+++ b/games/picmi/Makefile
@@ -6,13 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://games.kde.org/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		dbusaddons doctools i18n jobwidgets kdeclarative kio \
-		libkdegames newstuff service solid widgetsaddons windowsystem xmlgui \
+		libkdegames newstuff service solid widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/picmi/distinfo b/games/picmi/distinfo
index dbf78aad5762..9c0bc6c9019d 100644
--- a/games/picmi/distinfo
+++ b/games/picmi/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889403
-SHA256 (KDE/release-service/23.08.5/picmi-23.08.5.tar.xz) = 3dc4a0b335142a4fb4ba8515401e4794104dc07938f7917ce0eab6a80fdd3f38
-SIZE (KDE/release-service/23.08.5/picmi-23.08.5.tar.xz) = 1541784
+TIMESTAMP = 1734460191
+SHA256 (KDE/release-service/24.12.0/picmi-24.12.0.tar.xz) = 5b84f0b0770616dc7efdde6f2c5aea7dd6f8fb76c36e1bcd84934cdfb99f1549
+SIZE (KDE/release-service/24.12.0/picmi-24.12.0.tar.xz) = 1519096
diff --git a/games/picmi/pkg-plist b/games/picmi/pkg-plist
index f835e67e244d..1a408e257986 100644
--- a/games/picmi/pkg-plist
+++ b/games/picmi/pkg-plist
@@ -7,6 +7,7 @@ share/icons/hicolor/256x256/apps/picmi.png
 share/icons/hicolor/32x32/apps/picmi.png
 share/icons/hicolor/48x48/apps/picmi.png
 share/icons/hicolor/64x64/apps/picmi.png
+share/locale/ast/LC_MESSAGES/picmi.mo
 share/locale/bs/LC_MESSAGES/picmi.mo
 share/locale/ca/LC_MESSAGES/picmi.mo
 share/locale/ca@valencia/LC_MESSAGES/picmi.mo
@@ -15,6 +16,7 @@ share/locale/da/LC_MESSAGES/picmi.mo
 share/locale/de/LC_MESSAGES/picmi.mo
 share/locale/el/LC_MESSAGES/picmi.mo
 share/locale/en_GB/LC_MESSAGES/picmi.mo
+share/locale/eo/LC_MESSAGES/picmi.mo
 share/locale/es/LC_MESSAGES/picmi.mo
 share/locale/et/LC_MESSAGES/picmi.mo
 share/locale/eu/LC_MESSAGES/picmi.mo
@@ -22,7 +24,9 @@ share/locale/fi/LC_MESSAGES/picmi.mo
 share/locale/fr/LC_MESSAGES/picmi.mo
 share/locale/ga/LC_MESSAGES/picmi.mo
 share/locale/gl/LC_MESSAGES/picmi.mo
+share/locale/he/LC_MESSAGES/picmi.mo
 share/locale/hu/LC_MESSAGES/picmi.mo
+share/locale/ia/LC_MESSAGES/picmi.mo
 share/locale/it/LC_MESSAGES/picmi.mo
 share/locale/ja/LC_MESSAGES/picmi.mo
 share/locale/ka/LC_MESSAGES/picmi.mo
@@ -88,5 +92,6 @@ share/metainfo/org.kde.picmi.appdata.xml
 %%DATADIR%%/levels/default/zebra.xpm
 %%DATADIR%%/themes/picmi.desktop
 %%DATADIR%%/themes/picmi.png
-%%DATADIR%%/themes/picmi.svg
-share/qlogging-categories5/picmi.categories
+%%DATADIR%%/themes/picmi.svgz
+share/qlogging-categories6/picmi.categories
+share/qlogging-categories6/picmi.renamecategories
diff --git a/graphics/Makefile b/graphics/Makefile
index 9129f166156f..95bc9eda108c 100644
--- a/graphics/Makefile
+++ b/graphics/Makefile
@@ -329,7 +329,6 @@
     SUBDIR += guile-cairo
     SUBDIR += guilib
     SUBDIR += gwenview
-    SUBDIR += gwenview-devel
     SUBDIR += h3
     SUBDIR += halftone
     SUBDIR += hdr_tools
@@ -480,7 +479,6 @@
     SUBDIR += libjxr
     SUBDIR += libkdcraw
     SUBDIR += libkexiv2
-    SUBDIR += libkexiv2-devel
     SUBDIR += libkipi
     SUBDIR += libksane
     SUBDIR += libliftoff
@@ -636,7 +634,6 @@
     SUBDIR += ogre3d19
     SUBDIR += oidn
     SUBDIR += okular
-    SUBDIR += okular-devel
     SUBDIR += open3d
     SUBDIR += opencollada
     SUBDIR += opencolorio
@@ -1174,7 +1171,6 @@
     SUBDIR += skanlite
     SUBDIR += skanpage
     SUBDIR += spectacle
-    SUBDIR += spectacle-devel
     SUBDIR += spirv-cross
     SUBDIR += spirv-tools
     SUBDIR += springgraph
diff --git a/graphics/gwenview/Makefile b/graphics/gwenview/Makefile
index 2b4be311b7b6..6a9e7ef270c3 100644
--- a/graphics/gwenview/Makefile
+++ b/graphics/gwenview/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	gwenview
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	3
 CATEGORIES=	graphics kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -14,21 +13,19 @@ LIB_DEPENDS=	libexiv2.so:graphics/exiv2 \
 		liblcms2.so:graphics/lcms2 \
 		libpng.so:graphics/png \
 		libtiff.so:graphics/tiff \
-		libwayland-client.so:graphics/wayland \
-		libkImageAnnotator-Qt5.so:graphics/kimageannotator@qt5
+		libkImageAnnotator-Qt6.so:graphics/kimageannotator@qt6 \
+		libwayland-client.so:graphics/wayland
 
-USES=		compiler:c++11-lang cmake desktop-file-utils gettext-tools \
-		jpeg pkgconfig kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext jpeg \
+		kde:6 pkgconfig qt:6 tar:xz xorg
 USE_KDE=	activities auth baloo bookmarks codecs completion config \
 		configwidgets coreaddons filemetadata guiaddons i18n \
-		iconthemes init itemmodels itemviews jobwidgets \
+		iconthemes itemmodels itemviews jobwidgets \
 		kimageformats kio libkdcraw notifications parts phonon \
 		purpose service solid sonnet textwidgets widgetsaddons \
 		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport \
-		svg wayland widgets x11extras xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/graphics/gwenview/distinfo b/graphics/gwenview/distinfo
index db6cb6317b42..ce8d694736a9 100644
--- a/graphics/gwenview/distinfo
+++ b/graphics/gwenview/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889426
-SHA256 (KDE/release-service/23.08.5/gwenview-23.08.5.tar.xz) = a4fcd1c053b750d26ea8a9183208ecb5ed1d9b281625de3393e14f8bdc169038
-SIZE (KDE/release-service/23.08.5/gwenview-23.08.5.tar.xz) = 6904128
+TIMESTAMP = 1734460193
+SHA256 (KDE/release-service/24.12.0/gwenview-24.12.0.tar.xz) = 74971003952d966252e5b84d4f8e592fec4784e32fad2fb998aaa37338564adc
+SIZE (KDE/release-service/24.12.0/gwenview-24.12.0.tar.xz) = 6525836
diff --git a/graphics/gwenview/pkg-plist b/graphics/gwenview/pkg-plist
index 653bf69c98eb..449f8bf7dd68 100644
--- a/graphics/gwenview/pkg-plist
+++ b/graphics/gwenview/pkg-plist
@@ -2,8 +2,8 @@ bin/gwenview
 bin/gwenview_importer
 lib/libgwenviewlib.so.4.97.0
 lib/libgwenviewlib.so.5
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/slideshowfileitemaction.so
-%%QT_PLUGINDIR%%/kf5/parts/gvpart.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/slideshowfileitemaction.so
+%%QT_PLUGINDIR%%/kf6/parts/gvpart.so
 share/applications/org.kde.gwenview.desktop
 share/applications/org.kde.gwenview_importer.desktop
 %%DATADIR%%/color-schemes/fullscreen.colors
@@ -21,10 +21,8 @@ share/icons/hicolor/48x48/actions/document-share.png
 share/icons/hicolor/48x48/apps/gwenview.png
 share/icons/hicolor/64x64/actions/document-share.png
 share/icons/hicolor/64x64/apps/gwenview.png
-share/kconf_update/gwenview-imageview-alphabackgroundmode-update.pl
-share/kconf_update/gwenview.upd
-share/kservices5/gvpart.desktop
 share/locale/ar/LC_MESSAGES/gwenview.mo
+share/locale/ast/LC_MESSAGES/gwenview.mo
 share/locale/az/LC_MESSAGES/gwenview.mo
 share/locale/be/LC_MESSAGES/gwenview.mo
 share/locale/bg/LC_MESSAGES/gwenview.mo
@@ -94,6 +92,6 @@ share/locale/wa/LC_MESSAGES/gwenview.mo
 share/locale/zh_CN/LC_MESSAGES/gwenview.mo
 share/locale/zh_TW/LC_MESSAGES/gwenview.mo
 share/metainfo/org.kde.gwenview.appdata.xml
-share/qlogging-categories5/gwenview.categories
+share/qlogging-categories6/gwenview.categories
 share/solid/actions/gwenview_importer.desktop
 share/solid/actions/gwenview_importer_camera.desktop
diff --git a/graphics/kamera/Makefile b/graphics/kamera/Makefile
index 6dc5d647a7c8..9faf6cfddaf2 100644
--- a/graphics/kamera/Makefile
+++ b/graphics/kamera/Makefile
@@ -8,12 +8,11 @@ WWW=		https://www.kde.org
 
 LIB_DEPENDS=	libgphoto2.so:graphics/libgphoto2
 
-USES=		cmake compiler:c++11-lang gettext kde:5 localbase qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 localbase qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons doctools i18n \
 		kcmutils kio service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/graphics/kamera/distinfo b/graphics/kamera/distinfo
index 6b4711fc0393..6d3492bde050 100644
--- a/graphics/kamera/distinfo
+++ b/graphics/kamera/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889413
-SHA256 (KDE/release-service/23.08.5/kamera-23.08.5.tar.xz) = 46968631214314a05c7706547d173c5ecd2166ff740926da56322b4afc6d0db2
-SIZE (KDE/release-service/23.08.5/kamera-23.08.5.tar.xz) = 131704
+TIMESTAMP = 1734460195
+SHA256 (KDE/release-service/24.12.0/kamera-24.12.0.tar.xz) = 57783d2cddaaf027319d556d2208d7e6508cf4931813e87e13ee0c67d8f61d30
+SIZE (KDE/release-service/24.12.0/kamera-24.12.0.tar.xz) = 131624
diff --git a/graphics/kamera/pkg-plist b/graphics/kamera/pkg-plist
index 78ae22159706..eae0af954982 100644
--- a/graphics/kamera/pkg-plist
+++ b/graphics/kamera/pkg-plist
@@ -1,122 +1,127 @@
-%%QT_PLUGINDIR%%/kf5/kio/kio_kamera.so
+%%QT_PLUGINDIR%%/kf6/kio/kio_kamera.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_kamera.so
 share/applications/kcm_kamera.desktop
 share/locale/af/LC_MESSAGES/kcmkamera.mo
 share/locale/ar/LC_MESSAGES/kcmkamera.mo
-share/locale/ar/LC_MESSAGES/kio5_kamera.mo
+share/locale/ar/LC_MESSAGES/kio6_kamera.mo
+share/locale/ast/LC_MESSAGES/kcmkamera.mo
+share/locale/ast/LC_MESSAGES/kio6_kamera.mo
 share/locale/az/LC_MESSAGES/kcmkamera.mo
-share/locale/az/LC_MESSAGES/kio5_kamera.mo
+share/locale/az/LC_MESSAGES/kio6_kamera.mo
 share/locale/be/LC_MESSAGES/kcmkamera.mo
 share/locale/bg/LC_MESSAGES/kcmkamera.mo
-share/locale/bg/LC_MESSAGES/kio5_kamera.mo
+share/locale/bg/LC_MESSAGES/kio6_kamera.mo
 share/locale/br/LC_MESSAGES/kcmkamera.mo
 share/locale/bs/LC_MESSAGES/kcmkamera.mo
 share/locale/ca/LC_MESSAGES/kcmkamera.mo
-share/locale/ca/LC_MESSAGES/kio5_kamera.mo
+share/locale/ca/LC_MESSAGES/kio6_kamera.mo
 share/locale/ca@valencia/LC_MESSAGES/kcmkamera.mo
-share/locale/ca@valencia/LC_MESSAGES/kio5_kamera.mo
+share/locale/ca@valencia/LC_MESSAGES/kio6_kamera.mo
 share/locale/cs/LC_MESSAGES/kcmkamera.mo
-share/locale/cs/LC_MESSAGES/kio5_kamera.mo
+share/locale/cs/LC_MESSAGES/kio6_kamera.mo
 share/locale/cy/LC_MESSAGES/kcmkamera.mo
 share/locale/da/LC_MESSAGES/kcmkamera.mo
-share/locale/da/LC_MESSAGES/kio5_kamera.mo
+share/locale/da/LC_MESSAGES/kio6_kamera.mo
 share/locale/de/LC_MESSAGES/kcmkamera.mo
-share/locale/de/LC_MESSAGES/kio5_kamera.mo
+share/locale/de/LC_MESSAGES/kio6_kamera.mo
 share/locale/el/LC_MESSAGES/kcmkamera.mo
-share/locale/el/LC_MESSAGES/kio5_kamera.mo
+share/locale/el/LC_MESSAGES/kio6_kamera.mo
 share/locale/en_GB/LC_MESSAGES/kcmkamera.mo
-share/locale/en_GB/LC_MESSAGES/kio5_kamera.mo
+share/locale/en_GB/LC_MESSAGES/kio6_kamera.mo
 share/locale/eo/LC_MESSAGES/kcmkamera.mo
-share/locale/eo/LC_MESSAGES/kio5_kamera.mo
+share/locale/eo/LC_MESSAGES/kio6_kamera.mo
 share/locale/es/LC_MESSAGES/kcmkamera.mo
-share/locale/es/LC_MESSAGES/kio5_kamera.mo
+share/locale/es/LC_MESSAGES/kio6_kamera.mo
 share/locale/et/LC_MESSAGES/kcmkamera.mo
-share/locale/et/LC_MESSAGES/kio5_kamera.mo
+share/locale/et/LC_MESSAGES/kio6_kamera.mo
 share/locale/eu/LC_MESSAGES/kcmkamera.mo
-share/locale/eu/LC_MESSAGES/kio5_kamera.mo
+share/locale/eu/LC_MESSAGES/kio6_kamera.mo
 share/locale/fa/LC_MESSAGES/kcmkamera.mo
 share/locale/fi/LC_MESSAGES/kcmkamera.mo
-share/locale/fi/LC_MESSAGES/kio5_kamera.mo
+share/locale/fi/LC_MESSAGES/kio6_kamera.mo
 share/locale/fr/LC_MESSAGES/kcmkamera.mo
-share/locale/fr/LC_MESSAGES/kio5_kamera.mo
+share/locale/fr/LC_MESSAGES/kio6_kamera.mo
 share/locale/fy/LC_MESSAGES/kcmkamera.mo
 share/locale/ga/LC_MESSAGES/kcmkamera.mo
 share/locale/gl/LC_MESSAGES/kcmkamera.mo
-share/locale/gl/LC_MESSAGES/kio5_kamera.mo
+share/locale/gl/LC_MESSAGES/kio6_kamera.mo
 share/locale/he/LC_MESSAGES/kcmkamera.mo
+share/locale/he/LC_MESSAGES/kio6_kamera.mo
 share/locale/hi/LC_MESSAGES/kcmkamera.mo
 share/locale/hne/LC_MESSAGES/kcmkamera.mo
 share/locale/hr/LC_MESSAGES/kcmkamera.mo
 share/locale/hu/LC_MESSAGES/kcmkamera.mo
-share/locale/hu/LC_MESSAGES/kio5_kamera.mo
+share/locale/hu/LC_MESSAGES/kio6_kamera.mo
 share/locale/ia/LC_MESSAGES/kcmkamera.mo
-share/locale/ia/LC_MESSAGES/kio5_kamera.mo
+share/locale/ia/LC_MESSAGES/kio6_kamera.mo
 share/locale/id/LC_MESSAGES/kcmkamera.mo
-share/locale/id/LC_MESSAGES/kio5_kamera.mo
+share/locale/id/LC_MESSAGES/kio6_kamera.mo
 share/locale/is/LC_MESSAGES/kcmkamera.mo
-share/locale/is/LC_MESSAGES/kio5_kamera.mo
+share/locale/is/LC_MESSAGES/kio6_kamera.mo
 share/locale/it/LC_MESSAGES/kcmkamera.mo
-share/locale/it/LC_MESSAGES/kio5_kamera.mo
+share/locale/it/LC_MESSAGES/kio6_kamera.mo
 share/locale/ja/LC_MESSAGES/kcmkamera.mo
-share/locale/ja/LC_MESSAGES/kio5_kamera.mo
+share/locale/ja/LC_MESSAGES/kio6_kamera.mo
 share/locale/ka/LC_MESSAGES/kcmkamera.mo
-share/locale/ka/LC_MESSAGES/kio5_kamera.mo
+share/locale/ka/LC_MESSAGES/kio6_kamera.mo
 share/locale/kk/LC_MESSAGES/kcmkamera.mo
 share/locale/km/LC_MESSAGES/kcmkamera.mo
 share/locale/ko/LC_MESSAGES/kcmkamera.mo
-share/locale/ko/LC_MESSAGES/kio5_kamera.mo
+share/locale/ko/LC_MESSAGES/kio6_kamera.mo
 share/locale/lt/LC_MESSAGES/kcmkamera.mo
-share/locale/lt/LC_MESSAGES/kio5_kamera.mo
+share/locale/lt/LC_MESSAGES/kio6_kamera.mo
 share/locale/lv/LC_MESSAGES/kcmkamera.mo
+share/locale/lv/LC_MESSAGES/kio6_kamera.mo
 share/locale/mk/LC_MESSAGES/kcmkamera.mo
 share/locale/ml/LC_MESSAGES/kcmkamera.mo
-share/locale/ml/LC_MESSAGES/kio5_kamera.mo
+share/locale/ml/LC_MESSAGES/kio6_kamera.mo
 share/locale/mr/LC_MESSAGES/kcmkamera.mo
 share/locale/ms/LC_MESSAGES/kcmkamera.mo
 share/locale/nb/LC_MESSAGES/kcmkamera.mo
 share/locale/nds/LC_MESSAGES/kcmkamera.mo
 share/locale/ne/LC_MESSAGES/kcmkamera.mo
 share/locale/nl/LC_MESSAGES/kcmkamera.mo
-share/locale/nl/LC_MESSAGES/kio5_kamera.mo
+share/locale/nl/LC_MESSAGES/kio6_kamera.mo
 share/locale/nn/LC_MESSAGES/kcmkamera.mo
-share/locale/nn/LC_MESSAGES/kio5_kamera.mo
+share/locale/nn/LC_MESSAGES/kio6_kamera.mo
 share/locale/oc/LC_MESSAGES/kcmkamera.mo
 share/locale/pa/LC_MESSAGES/kcmkamera.mo
+share/locale/pa/LC_MESSAGES/kio6_kamera.mo
 share/locale/pl/LC_MESSAGES/kcmkamera.mo
-share/locale/pl/LC_MESSAGES/kio5_kamera.mo
+share/locale/pl/LC_MESSAGES/kio6_kamera.mo
 share/locale/pt/LC_MESSAGES/kcmkamera.mo
-share/locale/pt/LC_MESSAGES/kio5_kamera.mo
+share/locale/pt/LC_MESSAGES/kio6_kamera.mo
 share/locale/pt_BR/LC_MESSAGES/kcmkamera.mo
-share/locale/pt_BR/LC_MESSAGES/kio5_kamera.mo
+share/locale/pt_BR/LC_MESSAGES/kio6_kamera.mo
 share/locale/ro/LC_MESSAGES/kcmkamera.mo
-share/locale/ro/LC_MESSAGES/kio5_kamera.mo
+share/locale/ro/LC_MESSAGES/kio6_kamera.mo
 share/locale/ru/LC_MESSAGES/kcmkamera.mo
-share/locale/ru/LC_MESSAGES/kio5_kamera.mo
+share/locale/ru/LC_MESSAGES/kio6_kamera.mo
 share/locale/se/LC_MESSAGES/kcmkamera.mo
 share/locale/si/LC_MESSAGES/kcmkamera.mo
 share/locale/sk/LC_MESSAGES/kcmkamera.mo
-share/locale/sk/LC_MESSAGES/kio5_kamera.mo
+share/locale/sk/LC_MESSAGES/kio6_kamera.mo
 share/locale/sl/LC_MESSAGES/kcmkamera.mo
-share/locale/sl/LC_MESSAGES/kio5_kamera.mo
+share/locale/sl/LC_MESSAGES/kio6_kamera.mo
 share/locale/sq/LC_MESSAGES/kcmkamera.mo
 share/locale/sv/LC_MESSAGES/kcmkamera.mo
-share/locale/sv/LC_MESSAGES/kio5_kamera.mo
+share/locale/sv/LC_MESSAGES/kio6_kamera.mo
 share/locale/ta/LC_MESSAGES/kcmkamera.mo
 share/locale/tg/LC_MESSAGES/kcmkamera.mo
 share/locale/th/LC_MESSAGES/kcmkamera.mo
 share/locale/tr/LC_MESSAGES/kcmkamera.mo
-share/locale/tr/LC_MESSAGES/kio5_kamera.mo
+share/locale/tr/LC_MESSAGES/kio6_kamera.mo
 share/locale/ug/LC_MESSAGES/kcmkamera.mo
 share/locale/uk/LC_MESSAGES/kcmkamera.mo
-share/locale/uk/LC_MESSAGES/kio5_kamera.mo
+share/locale/uk/LC_MESSAGES/kio6_kamera.mo
 share/locale/vi/LC_MESSAGES/kcmkamera.mo
-share/locale/vi/LC_MESSAGES/kio5_kamera.mo
+share/locale/vi/LC_MESSAGES/kio6_kamera.mo
 share/locale/xh/LC_MESSAGES/kcmkamera.mo
 share/locale/zh_CN/LC_MESSAGES/kcmkamera.mo
-share/locale/zh_CN/LC_MESSAGES/kio5_kamera.mo
+share/locale/zh_CN/LC_MESSAGES/kio6_kamera.mo
 share/locale/zh_HK/LC_MESSAGES/kcmkamera.mo
 share/locale/zh_TW/LC_MESSAGES/kcmkamera.mo
-share/locale/zh_TW/LC_MESSAGES/kio5_kamera.mo
+share/locale/zh_TW/LC_MESSAGES/kio6_kamera.mo
 share/metainfo/org.kde.kamera.metainfo.xml
-share/qlogging-categories5/kamera.categories
+share/qlogging-categories6/kamera.categories
 share/solid/actions/solid_camera.desktop
diff --git a/graphics/kcolorchooser/Makefile b/graphics/kcolorchooser/Makefile
index 1adc6835c39a..b937c205b5fa 100644
--- a/graphics/kcolorchooser/Makefile
+++ b/graphics/kcolorchooser/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE application to select colors from the screen or from a palette
 WWW=		https://www.kde.org/applications/graphics/kcolorchooser
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons i18n \
-		widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs config configwidgets coreaddons i18n widgetsaddons \
+		xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/graphics/kcolorchooser/distinfo b/graphics/kcolorchooser/distinfo
index 8db23b367f70..e6281d7d1202 100644
--- a/graphics/kcolorchooser/distinfo
+++ b/graphics/kcolorchooser/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889418
-SHA256 (KDE/release-service/23.08.5/kcolorchooser-23.08.5.tar.xz) = c62a78191f423b7774930165424165e8866c16189b941323da1321f79992bb21
-SIZE (KDE/release-service/23.08.5/kcolorchooser-23.08.5.tar.xz) = 34908
+TIMESTAMP = 1734460196
+SHA256 (KDE/release-service/24.12.0/kcolorchooser-24.12.0.tar.xz) = afe552ddf0a4c76a4b81251649eeda1662b2a16dc8eba88c0be0ec4004b4674e
+SIZE (KDE/release-service/24.12.0/kcolorchooser-24.12.0.tar.xz) = 36228
diff --git a/graphics/kcolorchooser/pkg-plist b/graphics/kcolorchooser/pkg-plist
index ba62db7e11b2..93296993a553 100644
--- a/graphics/kcolorchooser/pkg-plist
+++ b/graphics/kcolorchooser/pkg-plist
@@ -3,6 +3,7 @@ share/applications/org.kde.kcolorchooser.desktop
 share/icons/hicolor/16x16/apps/kcolorchooser.png
 share/icons/hicolor/22x22/apps/kcolorchooser.png
 share/locale/ar/LC_MESSAGES/kcolorchooser.mo
+share/locale/ast/LC_MESSAGES/kcolorchooser.mo
 share/locale/az/LC_MESSAGES/kcolorchooser.mo
 share/locale/be/LC_MESSAGES/kcolorchooser.mo
 share/locale/bg/LC_MESSAGES/kcolorchooser.mo
@@ -52,6 +53,7 @@ share/locale/pt/LC_MESSAGES/kcolorchooser.mo
 share/locale/pt_BR/LC_MESSAGES/kcolorchooser.mo
 share/locale/ro/LC_MESSAGES/kcolorchooser.mo
 share/locale/ru/LC_MESSAGES/kcolorchooser.mo
+share/locale/sa/LC_MESSAGES/kcolorchooser.mo
 share/locale/si/LC_MESSAGES/kcolorchooser.mo
 share/locale/sk/LC_MESSAGES/kcolorchooser.mo
 share/locale/sl/LC_MESSAGES/kcolorchooser.mo
@@ -61,6 +63,7 @@ share/locale/sr@ijekavian/LC_MESSAGES/kcolorchooser.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kcolorchooser.mo
 share/locale/sr@latin/LC_MESSAGES/kcolorchooser.mo
 share/locale/sv/LC_MESSAGES/kcolorchooser.mo
+share/locale/ta/LC_MESSAGES/kcolorchooser.mo
 share/locale/th/LC_MESSAGES/kcolorchooser.mo
 share/locale/tr/LC_MESSAGES/kcolorchooser.mo
 share/locale/ug/LC_MESSAGES/kcolorchooser.mo
diff --git a/graphics/kdegraphics-mobipocket/Makefile b/graphics/kdegraphics-mobipocket/Makefile
index 708baf26dacc..109ed5bc97c3 100644
--- a/graphics/kdegraphics-mobipocket/Makefile
+++ b/graphics/kdegraphics-mobipocket/Makefile
@@ -1,17 +1,26 @@
 PORTNAME=	kdegraphics-mobipocket
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
 CATEGORIES=	graphics kde kde-applications
+PKGNAMESUFFIX=	-${FLAVOR}
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Mobipocket plugins for Strigi indexing and thumbnails
 WWW=		https://www.kde.org
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
+FLAVORS=	qt6 qt5
+FLAVOR?=	qt6
+
+USES=		cmake compiler:c++11-lang kde:${FLAVOR:S/qt//} \
+		qt:${FLAVOR:S/qt//} tar:xz
 USE_KDE=	completion config coreaddons jobwidgets kio service solid \
 		widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets \
+_USE_QT_qt5=	concurrent core dbus gui network widgets \
 		buildtools:build qmake:build
+_USE_QT_qt6=	base
+USE_QT=		${_USE_QT_${FLAVOR}}
+
+PLIST=		pkg-plist.${FLAVOR}
 
 USE_LDCONFIG=	yes
 
diff --git a/graphics/kdegraphics-mobipocket/distinfo b/graphics/kdegraphics-mobipocket/distinfo
index 1d9979e74d49..1383763e0718 100644
--- a/graphics/kdegraphics-mobipocket/distinfo
+++ b/graphics/kdegraphics-mobipocket/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889417
-SHA256 (KDE/release-service/23.08.5/kdegraphics-mobipocket-23.08.5.tar.xz) = 714fa91bc7b004145fbba02e302dde0faa14bc652e4672c507fc507ac508a3fc
-SIZE (KDE/release-service/23.08.5/kdegraphics-mobipocket-23.08.5.tar.xz) = 13004
+TIMESTAMP = 1734460198
+SHA256 (KDE/release-service/24.12.0/kdegraphics-mobipocket-24.12.0.tar.xz) = 777e577f7d603aef7f00d584b3a0a1e2659194134f37c0315a026173181289f3
+SIZE (KDE/release-service/24.12.0/kdegraphics-mobipocket-24.12.0.tar.xz) = 13056
diff --git a/graphics/kdegraphics-mobipocket/pkg-plist.qt5 b/graphics/kdegraphics-mobipocket/pkg-plist.qt5
new file mode 100644
index 000000000000..ddc051f14194
--- /dev/null
+++ b/graphics/kdegraphics-mobipocket/pkg-plist.qt5
@@ -0,0 +1,11 @@
+include/QMobipocket/qmobipocket/mobipocket.h
+include/QMobipocket/qmobipocket/qfilestream.h
+include/QMobipocket/qmobipocket/qmobipocket_export.h
+include/QMobipocket/qmobipocket_version.h
+lib/cmake/QMobipocket/QMobipocketConfig.cmake
+lib/cmake/QMobipocket/QMobipocketConfigVersion.cmake
+lib/cmake/QMobipocket/QMobipocketTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/QMobipocket/QMobipocketTargets.cmake
+lib/libqmobipocket.so
+lib/libqmobipocket.so.2
+lib/libqmobipocket.so.2.1.0
diff --git a/graphics/kdegraphics-mobipocket/pkg-plist.qt6 b/graphics/kdegraphics-mobipocket/pkg-plist.qt6
new file mode 100644
index 000000000000..f0bf0302c573
--- /dev/null
+++ b/graphics/kdegraphics-mobipocket/pkg-plist.qt6
@@ -0,0 +1,11 @@
+include/QMobipocket6/qmobipocket/mobipocket.h
+include/QMobipocket6/qmobipocket/qfilestream.h
+include/QMobipocket6/qmobipocket/qmobipocket_export.h
+include/QMobipocket6/qmobipocket_version.h
+lib/cmake/QMobipocket6/QMobipocket6Config.cmake
+lib/cmake/QMobipocket6/QMobipocket6ConfigVersion.cmake
+lib/cmake/QMobipocket6/QMobipocket6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/QMobipocket6/QMobipocket6Targets.cmake
+lib/libQMobipocket6.so
+lib/libQMobipocket6.so.2
+lib/libQMobipocket6.so.2.1.0
diff --git a/graphics/kdegraphics-svgpart/Makefile b/graphics/kdegraphics-svgpart/Makefile
index cd4f8fbebeb2..b3dc916f82f0 100644
--- a/graphics/kdegraphics-svgpart/Makefile
+++ b/graphics/kdegraphics-svgpart/Makefile
@@ -7,13 +7,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	SVG KPart
 WWW=		https://www.kde.org
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		i18n jobwidgets kio parts service solid sonnet textwidgets \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		jobwidgets kio parts service solid sonnet textwidgets \
 		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/graphics/kdegraphics-svgpart/distinfo b/graphics/kdegraphics-svgpart/distinfo
index 7e56aa654618..53443975e3c0 100644
--- a/graphics/kdegraphics-svgpart/distinfo
+++ b/graphics/kdegraphics-svgpart/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889422
-SHA256 (KDE/release-service/23.08.5/svgpart-23.08.5.tar.xz) = 941a378dd84006e92bddad2d83e8f0e93b361347a0aa3d43e9fb5e9bec7778b9
-SIZE (KDE/release-service/23.08.5/svgpart-23.08.5.tar.xz) = 28720
+TIMESTAMP = 1734460200
+SHA256 (KDE/release-service/24.12.0/svgpart-24.12.0.tar.xz) = ac1d24564f582b36d26b2b4ab0664b394368ad1123509d9b075e8e6bde684c41
+SIZE (KDE/release-service/24.12.0/svgpart-24.12.0.tar.xz) = 30212
diff --git a/graphics/kdegraphics-svgpart/pkg-plist b/graphics/kdegraphics-svgpart/pkg-plist
index 31894bca49d9..226e09da1fdc 100644
--- a/graphics/kdegraphics-svgpart/pkg-plist
+++ b/graphics/kdegraphics-svgpart/pkg-plist
@@ -1,6 +1,6 @@
-%%QT_PLUGINDIR%%/kf5/parts/svgpart.so
-share/kservices5/svgpart.desktop
+%%QT_PLUGINDIR%%/kf6/parts/svgpart.so
 share/locale/ar/LC_MESSAGES/svgpart.mo
+share/locale/ast/LC_MESSAGES/svgpart.mo
 share/locale/be/LC_MESSAGES/svgpart.mo
 share/locale/bg/LC_MESSAGES/svgpart.mo
 share/locale/bs/LC_MESSAGES/svgpart.mo
@@ -19,6 +19,7 @@ share/locale/fi/LC_MESSAGES/svgpart.mo
 share/locale/fr/LC_MESSAGES/svgpart.mo
 share/locale/ga/LC_MESSAGES/svgpart.mo
 share/locale/gl/LC_MESSAGES/svgpart.mo
+share/locale/he/LC_MESSAGES/svgpart.mo
 share/locale/hi/LC_MESSAGES/svgpart.mo
 share/locale/hr/LC_MESSAGES/svgpart.mo
 share/locale/hu/LC_MESSAGES/svgpart.mo
@@ -48,6 +49,7 @@ share/locale/pt/LC_MESSAGES/svgpart.mo
 share/locale/pt_BR/LC_MESSAGES/svgpart.mo
 share/locale/ro/LC_MESSAGES/svgpart.mo
 share/locale/ru/LC_MESSAGES/svgpart.mo
+share/locale/sa/LC_MESSAGES/svgpart.mo
 share/locale/si/LC_MESSAGES/svgpart.mo
 share/locale/sk/LC_MESSAGES/svgpart.mo
 share/locale/sl/LC_MESSAGES/svgpart.mo
diff --git a/graphics/kdegraphics-thumbnailers/Makefile b/graphics/kdegraphics-thumbnailers/Makefile
index a737a3d4abf5..eb1547d764f0 100644
--- a/graphics/kdegraphics-thumbnailers/Makefile
+++ b/graphics/kdegraphics-thumbnailers/Makefile
@@ -1,20 +1,18 @@
 PORTNAME=	kdegraphics-thumbnailers
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	graphics kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Thumbnailers for various graphics file formats
 WWW=		https://www.kde.org
 
-LIB_DEPENDS=	 libqmobipocket.so:graphics/kdegraphics-mobipocket
+LIB_DEPENDS=	libQMobipocket6.so:graphics/kdegraphics-mobipocket@qt6
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz xorg
-USE_KDE=	archive completion config coreaddons jobwidgets libkdcraw \
-		libkexiv2 kio service solid widgetsaddons windowsystem \
+USES=		cmake compiler:c++11-lang kde:6 qt:6 tar:xz xorg
+USE_KDE=	archive completion config coreaddons jobwidgets kio libkdcraw \
+		libkexiv2 service solid widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/graphics/kdegraphics-thumbnailers/distinfo b/graphics/kdegraphics-thumbnailers/distinfo
index 1496c35df7ab..f4aebc9c35ca 100644
--- a/graphics/kdegraphics-thumbnailers/distinfo
+++ b/graphics/kdegraphics-thumbnailers/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889410
-SHA256 (KDE/release-service/23.08.5/kdegraphics-thumbnailers-23.08.5.tar.xz) = b05a040039fa079da026de8c296219e3718c4e142da823c6cfeaaea6d6986f30
-SIZE (KDE/release-service/23.08.5/kdegraphics-thumbnailers-23.08.5.tar.xz) = 49436
+TIMESTAMP = 1734460201
+SHA256 (KDE/release-service/24.12.0/kdegraphics-thumbnailers-24.12.0.tar.xz) = d4dd2a4617db0874bc7de7b15e4fd50f7aadaa5249fb46f888ab151a8480b1cb
+SIZE (KDE/release-service/24.12.0/kdegraphics-thumbnailers-24.12.0.tar.xz) = 49144
diff --git a/graphics/kdegraphics-thumbnailers/pkg-plist b/graphics/kdegraphics-thumbnailers/pkg-plist
index 1b007fe29490..a76f13310441 100644
--- a/graphics/kdegraphics-thumbnailers/pkg-plist
+++ b/graphics/kdegraphics-thumbnailers/pkg-plist
@@ -1,5 +1,5 @@
-%%QT_PLUGINDIR%%/kf5/thumbcreator/blenderthumbnail.so
-%%QT_PLUGINDIR%%/kf5/thumbcreator/gsthumbnail.so
-%%QT_PLUGINDIR%%/kf5/thumbcreator/mobithumbnail.so
-%%QT_PLUGINDIR%%/kf5/thumbcreator/rawthumbnail.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/blenderthumbnail.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/gsthumbnail.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/mobithumbnail.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/rawthumbnail.so
 share/metainfo/org.kde.kdegraphics-thumbnailers.metainfo.xml
diff --git a/graphics/kdegraphics/Makefile b/graphics/kdegraphics/Makefile
index 5d4b90775508..785a6bd5fcfe 100644
--- a/graphics/kdegraphics/Makefile
+++ b/graphics/kdegraphics/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdegraphics
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	graphics kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Graphics utilities for KDE (meta port)
 WWW=		https://www.kde.org
 
-USES=		kde:5 metaport qt:5
+USES=		kde:6 metaport qt:6
 USE_QT=		#
 
 OPTIONS_DEFINE=	GPHOTO \
@@ -45,7 +44,7 @@ SPECTACLE_DESC=			Screen capture program
 SPECTACLE_RUN_DEPENDS=		spectacle>=${KDE_APPLICATIONS_VERSION}:graphics/spectacle
 
 MOBIPOCKET_DESC=		Mobipocket plugins for Strigi indexing and thumbnailers
-MOBIPOCKET_RUN_DEPENDS=		kdegraphics-mobipocket>=${KDE_APPLICATIONS_VERSION}:graphics/kdegraphics-mobipocket
+MOBIPOCKET_RUN_DEPENDS=		kdegraphics-mobipocket-qt6>=${KDE_APPLICATIONS_VERSION}:graphics/kdegraphics-mobipocket@qt6
 
 SVG_DESC=			SVG KPart
 SVG_RUN_DEPENDS=		kdegraphics-svgpart>=${KDE_APPLICATIONS_VERSION}:graphics/kdegraphics-svgpart
diff --git a/graphics/kf6-kimageformats/Makefile b/graphics/kf6-kimageformats/Makefile
index 6348a3c527db..8dc08c060878 100644
--- a/graphics/kf6-kimageformats/Makefile
+++ b/graphics/kf6-kimageformats/Makefile
@@ -1,13 +1,34 @@
 PORTNAME=	kimageformats
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	graphics kde kde-frameworks
 
 COMMENT=	Plugins to allow QImage to support extra file formats
 MAINTAINER=	kde@FreeBSD.org
 
-USES=		cmake gl kde:6 qt:6 tar:xz
+USES=		cmake gl kde:6 pkgconfig qt:6 tar:xz
 USE_GL=		gl opengl
-USE_KDE=	ecm:build
+USE_KDE=	archive ecm:build
 USE_QT=		base
 
+OPTIONS_DEFINE=	AVIF JXL HEIF OPENEXR RAW
+OPTIONS_DEFAULT=	AVIF JXL HEIF OPENEXR RAW
+OPTIONS_SUB=	yes
+
+AVIF_LIB_DEPENDS=	libavif.so:graphics/libavif
+AVIF_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_libavif
+
+JXL_LIB_DEPENDS=	libjxl.so:graphics/libjxl
+JXL_CMAKE_BOOL=		KIMAGEFORMATS_JXL
+
+HEIF_LIB_DEPENDS=	libheif.so:graphics/libheif
+HEIF_CMAKE_BOOL=	KIMAGEFORMATS_HEIF
+
+OPENEXR_LIB_DEPENDS=	libOpenEXR.so:graphics/openexr \
+			libImath.so:math/Imath
+OPENEXR_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_OpenEXR
+
+RAW_LIB_DEPENDS=	libraw.so:graphics/libraw
+RAW_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_libraw
+
 .include <bsd.port.mk>
diff --git a/graphics/kf6-kimageformats/pkg-plist b/graphics/kf6-kimageformats/pkg-plist
index cb27764336f8..afa6e4bcb2ee 100644
--- a/graphics/kf6-kimageformats/pkg-plist
+++ b/graphics/kf6-kimageformats/pkg-plist
@@ -1,6 +1,12 @@
 %%QT_PLUGINDIR%%/imageformats/kimg_ani.so
+%%AVIF%%%%QT_PLUGINDIR%%/imageformats/kimg_avif.so
 %%QT_PLUGINDIR%%/imageformats/kimg_eps.so
+%%OPENEXR%%%%QT_PLUGINDIR%%/imageformats/kimg_exr.so
 %%QT_PLUGINDIR%%/imageformats/kimg_hdr.so
+%%HEIF%%%%QT_PLUGINDIR%%/imageformats/kimg_heif.so
+%%JXL%%%%QT_PLUGINDIR%%/imageformats/kimg_jxl.so
+%%QT_PLUGINDIR%%/imageformats/kimg_kra.so
+%%QT_PLUGINDIR%%/imageformats/kimg_ora.so
 %%QT_PLUGINDIR%%/imageformats/kimg_pcx.so
 %%QT_PLUGINDIR%%/imageformats/kimg_pfm.so
 %%QT_PLUGINDIR%%/imageformats/kimg_pic.so
@@ -8,6 +14,7 @@
 %%QT_PLUGINDIR%%/imageformats/kimg_pxr.so
 %%QT_PLUGINDIR%%/imageformats/kimg_qoi.so
 %%QT_PLUGINDIR%%/imageformats/kimg_ras.so
+%%RAW%%%%QT_PLUGINDIR%%/imageformats/kimg_raw.so
 %%QT_PLUGINDIR%%/imageformats/kimg_rgb.so
 %%QT_PLUGINDIR%%/imageformats/kimg_sct.so
 %%QT_PLUGINDIR%%/imageformats/kimg_tga.so
